cvp.vo

## Class CheckPrescrizioneResponse

- java.lang.Object
- - cvp.vo.CheckPrescrizioneResponse

-     public class CheckPrescrizioneResponse
      extends java.lang.Object

  Risposta del web-service chkPrescrizione. Può restituire un elenco di anomalie e/o l'identificativo della prescrizione (IUP/NRE) e - se disponibile - il codice di autenticazione e l'elenco comunicazioni (contenente il nome e cognome del medico prescrittore) restituito dal SAC, oppure in caso di errore un Fault.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `codAutenticazione` codAutenticazione codice di autenticazione della prescrizione dematerializzata, se disponibile.
    `private ElencoAnomalie` | `elencoAnomalie` ElencoAnomalie lista delle anomalie riscontrate del processo di controllo della prescrizione.
    `private ElencoComunicazioni` | `elencoComunicazioni` elencoComunicazioni lista delle comunicazioni ritornate dal SAC durante il processo di dematerializzazione della prescrizione.
    `private java.lang.String` | `IUP` IUP Codice identificativo univoco della prescrizione (IUP) o numero di ricetta elettronica (NRE).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CheckPrescrizioneResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodAutenticazione()`
    `ElencoAnomalie` | `getElencoAnomalie()`
    `ElencoComunicazioni` | `getElencoComunicazioni()`
    `java.lang.String` | `getIUP()`
    `void` | `setCodAutenticazione(java.lang.String codAutenticazione)`
    `void` | `setElencoAnomalie(ElencoAnomalie elencoAnomalie)`
    `void` | `setElencoComunicazioni(ElencoComunicazioni elencoComunicazioni)`
    `void` | `setIUP(java.lang.String IUP)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### elencoAnomalie

          private ElencoAnomalie elencoAnomalie

      ElencoAnomalie lista delle anomalie riscontrate del processo di controllo della prescrizione.

    - #### IUP

          private java.lang.String IUP

      IUP Codice identificativo univoco della prescrizione (IUP) o numero di ricetta elettronica (NRE).

    - #### codAutenticazione

          private java.lang.String codAutenticazione

      codAutenticazione codice di autenticazione della prescrizione dematerializzata, se disponibile.

    - #### elencoComunicazioni

          private ElencoComunicazioni elencoComunicazioni

      elencoComunicazioni lista delle comunicazioni ritornate dal SAC durante il processo di dematerializzazione della prescrizione. All'interno della struttura sarà contenuto il nome e cognome del medico prescrittore da stampare sul promemoria

  - ### Constructor Detail

    - #### CheckPrescrizioneResponse

          public CheckPrescrizioneResponse()

  - ### Method Detail

    - #### getCodAutenticazione

          public java.lang.String getCodAutenticazione()

    - #### setCodAutenticazione

          public void setCodAutenticazione(java.lang.String codAutenticazione)

    - #### getElencoAnomalie

          public ElencoAnomalie getElencoAnomalie()

    - #### setElencoAnomalie

          public void setElencoAnomalie(ElencoAnomalie elencoAnomalie)

    - #### getIUP

          public java.lang.String getIUP()

    - #### setIUP

          public void setIUP(java.lang.String IUP)

    - #### getElencoComunicazioni

          public ElencoComunicazioni getElencoComunicazioni()

    - #### setElencoComunicazioni

          public void setElencoComunicazioni(ElencoComunicazioni elencoComunicazioni)